<?php

namespace Drupal\layout_collapse\TwigExtension;

use Twig\Extension\AbstractExtension;
use Twig\TwigFilter;

/**
 * Provides the PHP html_entity_decode function as a filter.
 */
class HtmlEntityDecodeFilter extends AbstractExtension {

  /**
   * Declare your custom twig filter here
   *
   * @return \Twig\TwigFilter[]
   *   TwigFilter array.
   */
  public function getFilters() {
    return [
      new TwigFilter(
        'html_entity_decode',
        'html_entity_decode',
        ['is_safe' => ['html']]
      ),
    ];
  }

}
